pango-1.28.1-11.el6.x86_64.rpm


Advertisement

Description

pango - System for layout and rendering of internationalized text

Property Value
Distribution CentOS 6
Repository CentOS x86_64
Package name pango
Package version 1.28.1
Package release 11.el6
Package architecture x86_64
Package type rpm
Installed size 1017.44 KB
Download size 351.32 KB
Official Mirror mirror.centos.org
Pango is a library for laying out and rendering of text, with an emphasis
on internationalization. Pango can be used anywhere that text layout is needed,
though most of the work on Pango so far has been done in the context of the
GTK+ widget toolkit. Pango forms the core of text and font handling for GTK+.
Pango is designed to be modular; the core Pango layout engine can be used
with different font backends.
The integration of Pango with Cairo provides a complete solution with high
quality text handling and graphics rendering.

Alternatives

Package Version Architecture Repository
pango-1.28.1-11.el6.i686.rpm 1.28.1 i686 CentOS
pango-1.28.1-11.el6.i686.rpm 1.28.1 i686 CentOS
pango - - -

Requires

Name Value
cairo >= 1.7.6
freetype >= 2.1.3-3
glib2 >= 2.17.3-1
libX11.so.6()(64bit) -
libXft.so.2()(64bit) -
libXrender.so.1()(64bit) -
libc.so.6(GLIBC_2.7)(64bit) -
libcairo.so.2()(64bit) -
libfontconfig.so.1()(64bit) -
libfreetype.so.6()(64bit) -
libglib-2.0.so.0()(64bit) -
libgmodule-2.0.so.0()(64bit) -
libgobject-2.0.so.0()(64bit) -
libgthread-2.0.so.0()(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
librt.so.1()(64bit) -
libthai >= 0.1.9
libthai.so.0()(64bit) -
libthai.so.0(LIBTHAI_0.1)(64bit) -
rtld(GNU_HASH) -
sed -

Provides

Name Value
config(pango) = 1.28.1-11.el6
libpango-1.0.so.0()(64bit) -
libpangocairo-1.0.so.0()(64bit) -
libpangoft2-1.0.so.0()(64bit) -
libpangox-1.0.so.0()(64bit) -
libpangoxft-1.0.so.0()(64bit) -
pango = 1.28.1-11.el6
pango(x86-64) = 1.28.1-11.el6
pango-arabic-fc.so()(64bit) -
pango-arabic-lang.so()(64bit) -
pango-basic-x.so()(64bit) -
pango-hangul-fc.so()(64bit) -
pango-hebrew-fc.so()(64bit) -
pango-indic-fc.so()(64bit) -
pango-indic-lang.so()(64bit) -
pango-khmer-fc.so()(64bit) -
pango-syriac-fc.so()(64bit) -
pango-thai-fc.so()(64bit) -
pango-thai-lang.so()(64bit) -
pango-tibetan-fc.so()(64bit) -

Download

Type URL
Binary Package pango-1.28.1-11.el6.x86_64.rpm
Source Package pango-1.28.1-11.el6.src.rpm

Install Howto

Install the pango rpm package:

# yum install pango

Files

Path
/etc/pango/pangox.aliases
/etc/pango/x86_64-redhat-linux-gnu/pango.modules
/usr/bin/pango-querymodules-64
/usr/bin/pango-view
/usr/lib64/libpango-1.0.so.0
/usr/lib64/libpango-1.0.so.0.2800.1
/usr/lib64/libpangocairo-1.0.so.0
/usr/lib64/libpangocairo-1.0.so.0.2800.1
/usr/lib64/libpangoft2-1.0.so.0
/usr/lib64/libpangoft2-1.0.so.0.2800.1
/usr/lib64/libpangox-1.0.so.0
/usr/lib64/libpangox-1.0.so.0.2800.1
/usr/lib64/libpangoxft-1.0.so.0
/usr/lib64/libpangoxft-1.0.so.0.2800.1
/usr/lib64/pango/
/usr/lib64/pango/1.6.0/
/usr/lib64/pango/1.6.0/modules/pango-arabic-fc.so
/usr/lib64/pango/1.6.0/modules/pango-arabic-lang.so
/usr/lib64/pango/1.6.0/modules/pango-basic-x.so
/usr/lib64/pango/1.6.0/modules/pango-hangul-fc.so
/usr/lib64/pango/1.6.0/modules/pango-hebrew-fc.so
/usr/lib64/pango/1.6.0/modules/pango-indic-fc.so
/usr/lib64/pango/1.6.0/modules/pango-indic-lang.so
/usr/lib64/pango/1.6.0/modules/pango-khmer-fc.so
/usr/lib64/pango/1.6.0/modules/pango-syriac-fc.so
/usr/lib64/pango/1.6.0/modules/pango-thai-fc.so
/usr/lib64/pango/1.6.0/modules/pango-thai-lang.so
/usr/lib64/pango/1.6.0/modules/pango-tibetan-fc.so
/usr/share/doc/pango-1.28.1/AUTHORS
/usr/share/doc/pango-1.28.1/COPYING
/usr/share/doc/pango-1.28.1/HELLO.txt
/usr/share/doc/pango-1.28.1/NEWS
/usr/share/doc/pango-1.28.1/README
/usr/share/man/man1/pango-querymodules.1.gz
/usr/share/man/man1/pango-view.1.gz

Changelog

2016-01-07 - Akira TAGOH <tagoh@redhat.com> - 1.28.1-11
- Get rid of the trivial error messages during running %post script. (#895383)
2014-04-23 - Akira TAGOH <tagoh@redhat.com> - 1.28.1-10
- Avoid the error message at %postun on upgrading to rhel7. (#1086690)
- Use correct rpm macro for man page (#885846)
2012-11-20 - Cosimo Cecchi <cosimoc@redhat.com> - 1.28.1-9
- Fix a regression in the pangoft2 module
Resolves: #616397
2011-02-28 - Matthias Clasen <mclasen@redhat.com> - 1.28.1-8
- Prevent an integer overflow in hb_buffer_ensure()
Related: #679694
2011-02-28 - Matthias Clasen <mclasen@redhat.com> - 1.28.1-7
- Use -f-no-strict-aliasing for C++, too
- Escape macros in %changelog
Related: #679694
2011-02-27 - Matthias Clasen <mclasen@redhat.com> - 1.28.1-6
- Properly handle allocation failure in harfbuzz
Resolves: #679694
2011-01-26 - Matthias Clasen <mclasen@redhat.com> - 1.28.1-5
- Fix a division by zero found in testing
2011-01-24 - Matthias Clasen <mclasen@redhat.com> - 1.28.1-4
- Prevent heap corruption with malformed fonts. (CVE-2011-0020)
- Resolves: #671530
2010-06-25 - Matthias Clasen <mclasen@redhat.com> - 1.28.1-3
- Fix up requires
Resolves: #593073
2010-06-23 - Matthias Clasen <mclasen@redhat.com> - 1.28.1-2
- Build with -fno-strict-aliasing
Resolves: #605097

See Also

Package Description
pango-devel-1.28.1-11.el6.i686.rpm Development files for pango
pango-devel-1.28.1-11.el6.x86_64.rpm Development files for pango
pangomm-2.26.0-1.el6.i686.rpm C++ interface for Pango
pangomm-2.26.0-1.el6.x86_64.rpm C++ interface for Pango
pangomm-devel-2.26.0-1.el6.i686.rpm Headers for developing programs that will use pangomm
pangomm-devel-2.26.0-1.el6.x86_64.rpm Headers for developing programs that will use pangomm
papi-5.1.1-12.el6.i686.rpm Performance Application Programming Interface
papi-5.1.1-12.el6.x86_64.rpm Performance Application Programming Interface
papi-devel-5.1.1-12.el6.i686.rpm Header files for the compiling programs with PAPI
papi-devel-5.1.1-12.el6.x86_64.rpm Header files for the compiling programs with PAPI
papi-static-5.1.1-12.el6.x86_64.rpm Static libraries for the compiling programs with PAPI
papi-testsuite-5.1.1-12.el6.x86_64.rpm Set of tests for checking PAPI functionality
paps-0.6.8-13.el6.3.x86_64.rpm Plain Text to PostScript converter
paps-devel-0.6.8-13.el6.3.i686.rpm Development files for paps
paps-devel-0.6.8-13.el6.3.x86_64.rpm Development files for paps
Advertisement
Advertisement